Bug 1705734 - [abrt] xfce4-appfinder: magazine_chain_pop_head(): xfce4-appfinder killed by SIGSEGV
Summary: [abrt] xfce4-appfinder: magazine_chain_pop_head(): xfce4-appfinder killed by ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-appfinder
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f3fb3101f3451beacc66c6f0e55...
: 1716969 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-02 20:30 UTC by Spooner
Modified: 2020-05-26 17:37 UTC (History)
9 users (show)

Fixed In Version: xfce4-appfinder-4.13.3-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 17:37:40 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (39.86 KB, text/plain)
2019-05-02 20:30 UTC, Spooner
no flags Details
File: cgroup (195 bytes, text/plain)
2019-05-02 20:30 UTC, Spooner
no flags Details
File: core_backtrace (8.16 KB, text/plain)
2019-05-02 20:30 UTC, Spooner
no flags Details
File: cpuinfo (1.19 KB, text/plain)
2019-05-02 20:30 UTC, Spooner
no flags Details
File: dso_list (8.98 KB, text/plain)
2019-05-02 20:30 UTC, Spooner
no flags Details
File: environ (1.34 KB, text/plain)
2019-05-02 20:30 UTC, Spooner
no flags Details
File: exploitable (82 bytes, text/plain)
2019-05-02 20:30 UTC, Spooner
no flags Details
File: limits (1.29 KB, text/plain)
2019-05-02 20:30 UTC, Spooner
no flags Details
File: maps (55.22 KB, text/plain)
2019-05-02 20:30 UTC, Spooner
no flags Details
File: mountinfo (3.48 KB, text/plain)
2019-05-02 20:30 UTC, Spooner
no flags Details
File: open_fds (1.63 KB, text/plain)
2019-05-02 20:30 UTC, Spooner
no flags Details
File: proc_pid_status (1.33 KB, text/plain)
2019-05-02 20:30 UTC, Spooner
no flags Details

Description Spooner 2019-05-02 20:30:28 UTC
Version-Release number of selected component:
xfce4-appfinder-4.13.2-2.fc30

Additional info:
reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        xfce4-appfinder --collapsed
crash_function: magazine_chain_pop_head
executable:     /usr/bin/xfce4-appfinder
journald_cursor: s=578a08fe0df4424a9d32d50f9a34df67;i=1b4d;b=9406f6248a5b4a75b61bdd5a0bfa36c0;m=461b34ee;t=587ed60e7fd64;x=960d71b05ae94913
kernel:         5.0.9-301.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 magazine_chain_pop_head at ../glib/gslice.c:538
 #1 thread_memory_magazine1_alloc at ../glib/gslice.c:841
 #2 g_slice_alloc at ../glib/gslice.c:1015
 #3 g_string_sized_new at ../glib/gstring.c:121
 #4 g_build_path_va at ../glib/gfileutils.c:1696
 #5 g_build_filename_va at ../glib/gfileutils.c:2069
 #6 g_build_filename at ../glib/gfileutils.c:2069
 #7 g_local_file_new_from_dirname_and_basename at ../gio/glocalfile.c:242
 #8 g_file_monitor_source_queue_event at ../gio/glocalfilemonitor.c:233
 #9 g_file_monitor_source_send_event at ../gio/glocalfilemonitor.c:319

Potential duplicate: bug 1671518

Comment 1 Spooner 2019-05-02 20:30:30 UTC
Created attachment 1561973 [details]
File: backtrace

Comment 2 Spooner 2019-05-02 20:30:31 UTC
Created attachment 1561974 [details]
File: cgroup

Comment 3 Spooner 2019-05-02 20:30:32 UTC
Created attachment 1561975 [details]
File: core_backtrace

Comment 4 Spooner 2019-05-02 20:30:33 UTC
Created attachment 1561976 [details]
File: cpuinfo

Comment 5 Spooner 2019-05-02 20:30:34 UTC
Created attachment 1561977 [details]
File: dso_list

Comment 6 Spooner 2019-05-02 20:30:35 UTC
Created attachment 1561978 [details]
File: environ

Comment 7 Spooner 2019-05-02 20:30:37 UTC
Created attachment 1561979 [details]
File: exploitable

Comment 8 Spooner 2019-05-02 20:30:38 UTC
Created attachment 1561980 [details]
File: limits

Comment 9 Spooner 2019-05-02 20:30:40 UTC
Created attachment 1561981 [details]
File: maps

Comment 10 Spooner 2019-05-02 20:30:41 UTC
Created attachment 1561982 [details]
File: mountinfo

Comment 11 Spooner 2019-05-02 20:30:42 UTC
Created attachment 1561983 [details]
File: open_fds

Comment 12 Spooner 2019-05-02 20:30:43 UTC
Created attachment 1561984 [details]
File: proc_pid_status

Comment 13 Fedora Update System 2019-05-18 13:49:51 UTC
xfce4-settings-4.13.6-1.fc30 xfce4-appfinder-4.13.3-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-cfc156acd7

Comment 14 Fedora Update System 2019-05-19 00:51:17 UTC
xfce4-appfinder-4.13.3-1.fc30, xfce4-settings-4.13.6-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-cfc156acd7

Comment 15 Sergii Donii 2019-06-04 13:07:47 UTC
*** Bug 1716969 has been marked as a duplicate of this bug. ***

Comment 16 Fedora Update System 2019-06-18 00:54:57 UTC
xfce4-appfinder-4.13.3-1.fc30, xfce4-settings-4.13.6-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2019-06-18 03:45:51 UTC
xfce4-appfinder-4.13.3-1.fc30, xfce4-settings-4.13.6-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Sebastian Krämer 2019-06-22 10:50:49 UTC
Similar problem has been detected:

It happened during dnf update.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        xfrun4
crash_function: magazine_chain_pop_head
executable:     /usr/bin/xfce4-appfinder
journald_cursor: s=fc824bd5c5a4423e85d4791c4db7ec87;i=bdb7;b=d93c168227c94aaca5cc6e2f926e6778;m=d5078a83;t=58be729ce6018;x=f2510277cd2f5e74
kernel:         5.1.9-300.fc30.x86_64
package:        xfce4-appfinder-4.13.3-1.fc30
reason:         xfce4-appfinder killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 19 Cristian Ciupitu 2019-06-22 20:08:00 UTC
Reopening it, because it's still happening with xfce4-appfinder-4.13.3-1.fc30.x86_64.

Comment 20 Zuxy Meng 2019-06-24 20:34:59 UTC
Similar problem has been detected:

Mount and unmount a USB flash drive

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        xfce4-appfinder --collapsed
crash_function: magazine_chain_pop_head
executable:     /usr/bin/xfce4-appfinder
journald_cursor: s=a8439d37bf5f4c039f5310de888f14c3;i=c28f;b=0c9e23aff28a4f8895ee3925d47fa25d;m=5811d6de;t=58c179ce3c5cc;x=70adfdc781a540d
kernel:         5.1.11-300.fc30.x86_64
package:        xfce4-appfinder-4.13.3-1.fc30
reason:         xfce4-appfinder killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 21 Eric Harney 2019-07-15 14:04:26 UTC
Similar problem has been detected:

dnf update

reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        xfrun4
crash_function: magazine_chain_pop_head
executable:     /usr/bin/xfce4-appfinder
journald_cursor: s=230463dd0cc740b2baff23b1b13d753b;i=50439da;b=e454ed35111c469a93dd01f3bd28e63d;m=29b2eac6ec;t=58db8b5ad8fdf;x=35cd2e06dd89c87e
kernel:         5.1.16-300.fc30.x86_64
package:        xfce4-appfinder-4.13.3-1.fc30
reason:         xfce4-appfinder killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 22 Fedora Update System 2019-08-15 22:31:26 UTC
FEDORA-2019-8b21f399ee has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8b21f399ee

Comment 23 Fedora Update System 2019-08-17 01:27:25 UTC
Thunar-1.8.9-1.fc30, exo-0.12.8-1.fc30, garcon-0.6.4-3.fc30, gigolo-0.5.0-2.fc30, libxfce4ui-4.14.1-1.fc30, libxfce4util-4.14.0-1.fc30, parole-1.0.4-1.fc30, ristretto-0.10.0-2.fc30, thunar-volman-0.9.5-1.fc30, tumbler-0.2.7-1.fc30, xfce4-appfinder-4.14.0-1.fc30, xfce4-battery-plugin-1.1.3-1.fc30, xfce4-datetime-plugin-0.8.0-1.fc30, xfce4-diskperf-plugin-2.6.2-1.fc30, xfce4-fsguard-plugin-1.1.1-1.fc30, xfce4-genmon-plugin-4.0.2-1.fc30, xfce4-mpc-plugin-0.5.2-1.fc30, xfce4-netload-plugin-1.3.2-1.fc30, xfce4-panel-4.14.0-1.fc30, xfce4-places-plugin-1.8.1-1.fc30, xfce4-power-manager-1.6.5-1.fc30, xfce4-pulseaudio-plugin-0.4.2-1.fc30, xfce4-screensaver-0.1.8-2.fc30, xfce4-session-4.14.0-1.fc30, xfce4-settings-4.14.0-1.fc30, xfce4-smartbookmark-plugin-0.5.1-1.fc30, xfce4-systemload-plugin-1.2.3-1.fc30, xfce4-time-out-plugin-1.0.3-1.fc30, xfce4-wavelan-plugin-0.6.1-1.fc30, xfce4-weather-plugin-0.10.0-1.fc30, xfconf-4.14.1-1.fc30, xfdashboard-0.7.5-4.fc30, xfdesktop-4.14.1-1.fc30, xfwm4-4.14.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8b21f399ee

Comment 24 Fedora Update System 2019-08-23 01:27:01 UTC
Thunar-1.8.9-1.fc30, exo-0.12.8-1.fc30, garcon-0.6.4-3.fc30, gigolo-0.5.0-2.fc30, libxfce4ui-4.14.1-1.fc30, libxfce4util-4.14.0-1.fc30, parole-1.0.4-1.fc30, ristretto-0.10.0-2.fc30, thunar-volman-0.9.5-1.fc30, tumbler-0.2.7-1.fc30, xfce4-appfinder-4.14.0-1.fc30, xfce4-battery-plugin-1.1.3-1.fc30, xfce4-datetime-plugin-0.8.0-1.fc30, xfce4-diskperf-plugin-2.6.2-1.fc30, xfce4-fsguard-plugin-1.1.1-1.fc30, xfce4-genmon-plugin-4.0.2-1.fc30, xfce4-mpc-plugin-0.5.2-1.fc30, xfce4-netload-plugin-1.3.2-1.fc30, xfce4-panel-4.14.0-1.fc30, xfce4-places-plugin-1.8.1-1.fc30, xfce4-power-manager-1.6.5-1.fc30, xfce4-pulseaudio-plugin-0.4.2-1.fc30, xfce4-screensaver-0.1.8-2.fc30, xfce4-session-4.14.0-1.fc30, xfce4-settings-4.14.0-1.fc30, xfce4-smartbookmark-plugin-0.5.1-1.fc30, xfce4-systemload-plugin-1.2.3-1.fc30, xfce4-time-out-plugin-1.0.3-1.fc30, xfce4-wavelan-plugin-0.6.1-1.fc30, xfce4-weather-plugin-0.10.0-1.fc30, xfconf-4.14.1-1.fc30, xfdashboard-0.7.5-4.fc30, xfdesktop-4.14.1-1.fc30, xfwm4-4.14.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Ben Cotton 2020-04-30 20:53:26 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 26 Ben Cotton 2020-05-26 17:37:40 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.